Subject: bug#6459: 24.0.50; completions-format should not have a `nil' choice

From: Juri Linkov <[email-masked]>
Date: Sat, 19 Jun 2010 17:37:07 +0300

> (defcustom completions-format nil
>   "Define the appearance and sorting of completions.
> If the value is `vertical', display completions sorted vertically
> in columns in the *Completions* buffer.
> If the value is `horizontal' or nil, display completions sorted
> horizontally in alphabetical order, rather than down the screen."
>   :type '(choice (const nil) (const horizontal) (const vertical))
>   :group 'minibuffer
>   :version "23.2")
>
> There is no reason for the `nil' choice.  Please remove it and make the
> default value `horizontal'.  Occam's razor (KISS) and clarity for users
> argue for this.

We could remove nil from the docstring and from :type, and change
the default value to `horizontal', but I'd still treat nil as
`horizontal' internally for compatibility.

-- 
Juri Linkov
http://www.jurta.org/emacs/